#!/usr/bin/make -rf

include /usr/share/dpkg/pkg-info.mk

export CI=true

%:
	dh $@ --buildsystem=maven --with=maven-repo-helper --without=autoreconf

execute_before_dh_auto_configure:
#	/usr/share/maven-debian-helper/copy-repo.sh $(CURDIR)/debian
#	dh_auto_build

#	mh_patchpom -pjruby --no-parent pom.xml
#	mh_patchpom -pjruby --no-parent core/pom.xml
#	mh_patchpom -pjruby --no-parent lib/pom.xml

execute_after_dh_auto_build:
	dh_auto_build -- -Pmain,complete,dist

DIST_TARBALL=./maven/jruby-dist/target/jruby-dist-$(DEB_VERSION_UPSTREAM)-bin.tar.gz
DIST_TARGET_DIR=./target/package/
execute_after_dh_prep:
	mkdir -p $(DIST_TARGET_DIR)
	tar zxf $(DIST_TARBALL) -C $(DIST_TARGET_DIR) --strip-components=1
	cd $(DIST_TARGET_DIR) && (mv bin/jruby.sh bin/jruby && chmod +x bin/jruby && mkdir -p lib/jni/)

execute_after_dh_install:
	mh_installjar -pjruby maven/jruby/pom.xml maven/jruby/target/jruby-$(DEB_VERSION_UPSTREAM).jar
	jh_classpath
